package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 教学班级分页查询结果
 * @Author: CaoZixuan
 * @Date: 2022-02-10
 */
public class TeachClazzResult {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "教学班级id")
    private Long id;

    @ApiModelProperty(value = "教学班级名称")
    private String teachClazzName;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    @ApiModelProperty(value = "教学学生人数")
    private Integer teachStudentCount;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "教学课程id")
    private Long teachCourseId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Integer getTeachStudentCount() {
        return teachStudentCount;
    }

    public void setTeachStudentCount(Integer teachStudentCount) {
        this.teachStudentCount = teachStudentCount;
    }

    public Long getTeachCourseId() {
        return teachCourseId;
    }

    public void setTeachCourseId(Long teachCourseId) {
        this.teachCourseId = teachCourseId;
    }
}
